Subject: Re: [manet] AODVv2 comments

From: <[email-masked]>
Date: Fri, 21 Aug 2015 19:59:19 +0000

Charlie,

In regards to Chris’ comment about section 6.4 page 23 para 3, I agree that specifying a fixed length (in packets or bytes) buffer does not belong here.  It’s one way to do it, but this feature has nothing to do with the AODV protocol.  The two defined constants in this paragraph are only used in this paragraph, so I think para 3 can just about be dropped.

Para 2 already says “MAY” be queued, so I think all one needs to say is that the nature of the queue is implementation dependent.

Marc Mosko

From: "Charles E. Perkins" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [manet] AODVv2 comments
Date: August 20, 2015 at 11:36:59 AM PDT
To: Mobile Ad Hoc Networks mailing list <[email-masked]<mailto:[email-masked]>>
Reply-To: Mobile Ad Hoc Networks mailing list <[email-masked]<mailto:[email-masked]>>

[snip]
Section 6.4 page 23 para 3 why fixed buffer? And as this is supposed to be IP’s job, why specify?

IP never had to do this before, because IP never had to work with reactive route establishment.

[snip]

Regards,
Charlie P.

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet